/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: ReturnAppResult.java
 * Author:   duhui
 * Date:     2015年2月2日 下午12:09:27
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.ws.system;

/**
 * return code and message,you can create your code and message here.
 * 
 */
public enum ReturnAppResult {

    /**
     * 操作成功
     */
    APP_SUCCESS("1", "操作成功！"),
    /**
     * 新增成功
     */
    APP_FAIL("0", "操作失败！");

    /**
     * resultCode小于-10000为异常编码，大于10000为正常编码
     */
    private final String resultCode;
    /**
     * message
     */
    private final String resultMessage;

    /**
     * 构造函数
     * 
     * @param resultCode
     * @param resultMessage
     */
    ReturnAppResult(String resultCode, String resultMessage) {
        this.resultCode = resultCode;
        this.resultMessage = resultMessage;
    }

    public String getResultCode() {
        return resultCode;
    }

    public String getResultMessage() {
        return resultMessage;
    }
}
